%global realname basho_stats
%global debug_package %{nil}
%global git_tag fbb957b


Name:		erlang-%{realname}
Version:	1.0.1
Release:	1%{?dist}
Summary:	Basic Erlang statistics library
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/basho_stats
# wget --no-check-certificate https://github.com/basho/basho_stats/tarball/basho_stats-1.0.1
Source0:	basho-%{realname}-%{realname}-%{version}-0-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-rebar
# Error:erlang(erlang:max/2)
# Error:erlang(erlang:min/2)
Requires:	erlang-erts >= R13B
Requires:	erlang-stdlib


%description
Basic Erlang statistics library.


%prep
%setup -q -n basho-%{realname}-%{git_tag}


%build
rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -p -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit


%files
%defattr(-,root,root,-)
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl


%changelog
* Fri Feb 25 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-1
- Initial package
